# QVM: Quaternions, Vectors, Matrices

### row

#include <boost/qvm/map_mat_vec.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_mat<A>::value
            template <int C,class A>
            -unspecified-return-type- row( A & a );
        }
    }

The expression row<R>(m) returns a view proxy that accesses row R of the matrix m as a vector.

See also: boost/qvm/map_mat_vec.hpp